Loading...
Searching...
No Matches
MagneticField.cpp File Reference

Command line utility for evaluating magnetic fields. More...

`#include <iostream>`
`#include <string>`
`#include <sstream>`
`#include <fstream>`
`#include <GeographicLib/MagneticModel.hpp>`
`#include <GeographicLib/MagneticCircle.hpp>`
`#include <GeographicLib/DMS.hpp>`
`#include <GeographicLib/Utility.hpp>`
`#include "MagneticField.usage"`

Go to the source code of this file.

## Functions

int | main (int argc, const char *const argv[])

## Detailed Description

Command line utility for evaluating magnetic fields.

Copyright (c) Charles Karney (2011-2022) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

See the man page for usage information.

Definition in file MagneticField.cpp.

## Function Documentation

## main()

int main | ( | int | argc,
|  | const char *const | argv[] )

Definition at line 23 of file MagneticField.cpp.

References GeographicLib::MagneticModel::Circle(), GeographicLib::MagneticModel::DateTime(), GeographicLib::MagneticModel::Description(), GeographicLib::MagneticModel::MagneticFile(), GeographicLib::MagneticModel::MagneticModelName(), GeographicLib::MagneticModel::MaxHeight(), GeographicLib::MagneticModel::MaxTime(), GeographicLib::MagneticModel::MinHeight(), and GeographicLib::MagneticModel::MinTime().